
From: Johannes Stezenbach <js@linuxtv.org>

allow N_I2C to be overridden by the card driver (Andreas Oberritter)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/tda1004x.c |    4 ++--
 drivers/media/dvb/frontends/tda1004x.h |    3 +++
 2 files changed, 5 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/frontends/tda1004x.c~dvb-tda1004x-allow-n_i2c-to-be-overridden-by-the-card-driver drivers/media/dvb/frontends/tda1004x.c
--- 25/drivers/media/dvb/frontends/tda1004x.c~dvb-tda1004x-allow-n_i2c-to-be-overridden-by-the-card-driver	2005-05-09 18:01:12.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/tda1004x.c	2005-05-09 18:01:12.000000000 -0700
@@ -406,7 +406,7 @@ static int tda10046_fwupload(struct dvb_
 
 	/* set parameters */
 	tda1004x_write_byteI(state, TDA10046H_CONFPLL2, 10);
-	tda1004x_write_byteI(state, TDA10046H_CONFPLL3, 0);
+	tda1004x_write_byteI(state, TDA10046H_CONFPLL3, state->config->n_i2c);
 	tda1004x_write_byteI(state, TDA10046H_FREQ_OFFSET, 99);
 	tda1004x_write_byteI(state, TDA10046H_FREQ_PHY2_MSB, 0xd4);
 	tda1004x_write_byteI(state, TDA10046H_FREQ_PHY2_LSB, 0x2c);
@@ -547,7 +547,7 @@ static int tda10046_init(struct dvb_fron
 	tda1004x_write_mask(state, TDA1004X_AUTO, 8, 0); // select HP stream
 	tda1004x_write_mask(state, TDA1004X_CONFC1, 0x80, 0); // disable pulse killer
 	tda1004x_write_byteI(state, TDA10046H_CONFPLL2, 10); // PLL M = 10
-	tda1004x_write_byteI(state, TDA10046H_CONFPLL3, 0); // PLL P = N = 0
+	tda1004x_write_byteI(state, TDA10046H_CONFPLL3, state->config->n_i2c); // PLL P = N = 0
 	tda1004x_write_byteI(state, TDA10046H_FREQ_OFFSET, 99); // FREQOFFS = 99
 	tda1004x_write_byteI(state, TDA10046H_FREQ_PHY2_MSB, 0xd4); // } PHY2 = -11221
 	tda1004x_write_byteI(state, TDA10046H_FREQ_PHY2_LSB, 0x2c); // }
diff -puN drivers/media/dvb/frontends/tda1004x.h~dvb-tda1004x-allow-n_i2c-to-be-overridden-by-the-card-driver drivers/media/dvb/frontends/tda1004x.h
--- 25/drivers/media/dvb/frontends/tda1004x.h~dvb-tda1004x-allow-n_i2c-to-be-overridden-by-the-card-driver	2005-05-09 18:01:12.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/tda1004x.h	2005-05-09 18:01:12.000000000 -0700
@@ -37,6 +37,9 @@ struct tda1004x_config
 	/* Does the OCLK signal need inverted? */
 	u8 invert_oclk;
 
+	/* value of N_I2C of the CONF_PLL3 register */
+	u8 n_i2c;
+
 	/* PLL maintenance */
 	int (*pll_init)(struct dvb_frontend* fe);
 	int (*pll_set)(struct dvb_frontend* fe, struct dvb_frontend_parameters* params);
_
